
%define snap 20121113git

Name:    qaccessibilityclient
Summary: Accessibility client library for Qt
Version: 0.1.0
Release: 0.2.%{snap}%{?dist}

# KDE e.V. may determine that future LGPL versions are accepted
License: LGPLv2 or LGPLv3
URL:     https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
Source0: qaccessibilityclient-%{version}-%{snap}.tar.xz
Source1: qaccessibilityclient_snapshot.sh

## upstreamable patches
# link QtGui for undefined symbols
Patch50: qaccessibilityclient-0.1.0-dso.patch

BuildRequires: cmake >= 2.8.6
BuildRequires: qt4-devel

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: cmake
Requires: qt4-devel
%description  devel
%{summary}.


%prep
%setup -q

%patch50 -p1 -b .dso


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
# consider putting into -tools subpkg?
rm -f %{buildroot}%{_bindir}/accessibleapps


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libqaccessibilityclient.so.0*

%files devel
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/
%{_libdir}/libqaccessibilityclient.so


%changelog
* Wed Mar 13 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-0.2.20121113git
- fix changelog
- -devel: +Requires: cmake qt4-devel
- link QT_QTGUI_LIBRARY for undefined symbols
- s/Url/URL/
- don't package accessibleapps

* Sat Feb 02 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-0.1.20121113git
- adapt for fedora
- fresh snapshot

* Sat Nov 10 2012 alinm.elena@gmail.com
- initial commit
